Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package reporters
  Definition Classes
    nsc
- AbstractReporter
- ConsoleReporter
- CountingReporter
- DefaultReporter
- DisplayReporter
- Filtering
- FilteringReporter
- LimitFilter
- NoReporter
- PositionFilter
- PositionFiltering
- PrintReporter
- Reporter
- StoreReporter
- SummaryReporter

c

scala.tools.nsc.reporters

# PositionFilter

###

#### class PositionFilter extends reflect.internal.Reporter with FilteringReporter with PositionFiltering

This reporter implements filtering by severity and position.

Source
  PositionFilter.scala

Linear Supertypes
PositionFiltering, FilteringReporter, Filtering, ForwardingReporter, reflect.internal.Reporter, AnyRef, Any
Known Subclasses
DefaultReporter
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PositionFilter
2. PositionFiltering
3. FilteringReporter
4. Filtering
5. ForwardingReporter
6. Reporter
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new PositionFilter(settings: Settings, delegate: reflect.internal.Reporter)

### Type Members

1.  class Severity extends AnyRef
   Definition Classes
     Reporter

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from PositionFilter toany2stringadd[PositionFilter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (PositionFilter, B)
   Implicit
     This member is added by an implicit conversion from PositionFilter toArrowAssoc[PositionFilter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def count(severity: Severity): Int
   Definition Classes
     Reporter
9.  val delegate: reflect.internal.Reporter
   Attributes
     protected
   Definition Classes
     PositionFilter → ForwardingReporter
10.  def echo(pos: Position, msg: String): Unit
    Definition Classes
      FilteringReporter → ForwardingReporter → Reporter
11.  def echo(msg: String): Unit
    Definition Classes
      Reporter
12.  def ensuring(cond: (PositionFilter) => Boolean, msg: => Any): PositionFilter
    Implicit
      This member is added by an implicit conversion from PositionFilter toEnsuring[PositionFilter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (PositionFilter) => Boolean): PositionFilter
    Implicit
      This member is added by an implicit conversion from PositionFilter toEnsuring[PositionFilter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): PositionFilter
    Implicit
      This member is added by an implicit conversion from PositionFilter toEnsuring[PositionFilter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): PositionFilter
    Implicit
      This member is added by an implicit conversion from PositionFilter toEnsuring[PositionFilter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def error(pos: Position, msg: String): Unit
    Definition Classes
      FilteringReporter → ForwardingReporter → Reporter
19.  def errorCount: Int
    Definition Classes
      Reporter
20.  def filter(pos: Position, msg: String, severity: Severity): Boolean
    Attributes
      protected
    Definition Classes
      PositionFiltering → Filtering
21.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  def finish(): Unit
    Definition Classes
      ForwardingReporter → Reporter
23.  def flush(): Unit
    Definition Classes
      ForwardingReporter → Reporter
24.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from PositionFilter toStringFormat[PositionFilter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
25.  def forward(pos: Position, msg: String, severity: Severity): Unit
    Attributes
      protected
    Definition Classes
      ForwardingReporter
26.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  def hasErrors: Boolean
    Definition Classes
      Reporter
28.  def hasWarnings: Boolean
    Definition Classes
      Reporter
29.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
    Attributes
      protected
    Definition Classes
      ForwardingReporter → Reporter
31.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  def noWarnings: Boolean

    True to disable warnings.

    True to disable warnings.

    Attributes
      protected
    Definition Classes
      PositionFilter → PositionFiltering
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      Reporter
37.  def reset(): Unit
    Definition Classes
      PositionFiltering → Reporter
38.  def resetCount(severity: Severity): Unit
    Definition Classes
      Reporter
39.  def suppressed(pos: Position, msg: String, severity: Severity): Unit

    Invoked when an error or warning is filtered by position.

    Invoked when an error or warning is filtered by position.

    Attributes
      protected
    Definition Classes
      PositionFilter → PositionFiltering
40.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
41.  def toString(): String
    Definition Classes
      AnyRef → Any
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
45.  def warning(pos: Position, msg: String): Unit
    Definition Classes
      FilteringReporter → ForwardingReporter → Reporter
46.  def warningCount: Int
    Definition Classes
      Reporter
47.  object ERROR extends Severity
    Definition Classes
      Reporter
48.  object INFO extends Severity
    Definition Classes
      Reporter
49.  object WARNING extends Severity
    Definition Classes
      Reporter

### Deprecated Value Members

1.  def →[B](y: B): (PositionFilter, B)
   Implicit
     This member is added by an implicit conversion from PositionFilter toArrowAssoc[PositionFilter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from PositionFiltering

### Inherited from FilteringReporter

### Inherited from Filtering

### Inherited from ForwardingReporter

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPositionFilter to any2stringadd[PositionFilter]

### Inherited by implicit conversion StringFormat fromPositionFilter to StringFormat[PositionFilter]

### Inherited by implicit conversion Ensuring fromPositionFilter to Ensuring[PositionFilter]

### Inherited by implicit conversion ArrowAssoc fromPositionFilter to ArrowAssoc[PositionFilter]

### Ungrouped